|  | Home · All Classes · Modules

# QGL.FormatOptions Class Reference
[QtOpenGL module]

### Methods

- __init__ (self, FormatOptions)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- FormatOptions __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, FormatOptions f)
- FormatOptions __iand__ (self, int mask)
- int __int__ (self)
- FormatOptions __invert__ (self)
- FormatOptions __ior__ (self, FormatOptions f)
- FormatOptions __ixor__ (self, FormatOptions f)
- bool __ne__ (self, FormatOptions f)
- FormatOptions __or__ (self, FormatOptions f)
- FormatOptions __xor__ (self, FormatOptions f)

## Detailed Description

FormatOption may be used whenever FormatOptions is expected.

## Method Documentation

### FormatOptions.__init__ (self, FormatOptions)

### FormatOptions.__init__ (self, int)

### FormatOptions.__init__ (self)

### FormatOptions FormatOptions.__and__ (self, int mask)

### int FormatOptions.__bool__ (self)

### bool FormatOptions.__eq__ (self, FormatOptions f)

### FormatOptions FormatOptions.__iand__ (self, int mask)

### int FormatOptions.__int__ (self)

### FormatOptions FormatOptions.__invert__ (self)

### FormatOptions FormatOptions.__ior__ (self, FormatOptions f)

### FormatOptions FormatOptions.__ixor__ (self, FormatOptions f)

### bool FormatOptions.__ne__ (self, FormatOptions f)

### FormatOptions FormatOptions.__or__ (self, FormatOptions f)

### FormatOptions FormatOptions.__xor__ (self, FormatOptions f)